<?php
// $Id: feedapi_mapper_video_cck.inc,v 1.1.2.1 2008/02/28 23:13:29 alexb Exp $

/**
 * Implementation of hook_feedapi_mapper for video_cck part of embedded media CCK.
 *
 * @param string $op
 * @param Drupal node $node
 * @param string $field_name
 * @param string, number or array of string or number $feed_element
 * @param string or number as id $sub_field
 * 
 */
function video_cck_feedapi_mapper($op, $node, $field_name, $feed_element = array(), $sub_field = '') {
  $field = content_fields($field_name);
  if ($field['type'] != 'video_cck') {
    // if not a video_cck field just return
    return;
  }

  switch ($op) {
    case 'describe':
      // Describe what we are doing in this mapper. This shows up as help text on the mapping page. 
      return t('Maps a link to a video to the Embeded Media Video CCK field.');
    case 'list':
      // just for sub_fields
      return TRUE;
    case 'map':
      // Here is where the actual mapping happens.
      $items = $node->$field_name; // $field -> $items
      foreach ($feed_element as $element) {
        $items[]['embed'] = $element['link'];
      }
      video_cck_field('submit', $node, $field, $items, FALSE, FALSE); 
      $node->$field_name = $items;
      return $node;
  }
}
